/*------------------------------------------------------------------------------
 *
 *	Apple Macintosh Developer Technical Support
 *
 *  Installer 3.2 sample: very simple installation (Easy Installation only)
 *
 *	File:		SimpleEasyOnly.r -	Rez Source
 *
 *  Modifications:
 *		5/19/93: RRK Changed Target file spec typeCrMustMatch flag setting to
 *						typeCrNeedNotMatch and included comment that this will
 *						allow the replacement of the target file if for some reason
 *						the file or creator are different.
 *					 Used InstallerCommon.r defines.
 *
 *	by:			Jon Zap
 *  updated for use with Installer 3.4 by: Rich Kubota 9/1/92
 *
 *	Copyright  1991 Apple Computer, Inc.
 *	All rights reserved.
 *
 *------------------------------------------------------------------------------
 *
 * Install application "TeachText" into the folder "Root":Installed Application
 * It demonstrates only Easy Installation (Custom Installation is not supported)
 *----------------------------------------------------------------------------*/

#include "InstallerTypes.r"
#include "InstallerCommon.r"

/* You can build and complete the script with the following lines:
# Note: set up floppies with the appropriate names and contents before running scriptcheck
# or set up folders with the same names and contents as the floppies
# put these folders in the same folder as the script or at the root directory of same disk

	rez -o "SimpleEasyOnly" -t 'bbkr' -c 'bbkr' "SimpleEasyOnly.r"
	setfile -a i "SimpleEasyOnly"		#mark Inited
	scriptcheck -p "SimpleEasyOnly"
*/

/* Definitions for the rule */
#define rlDoInstall				1000

/* Definitions for the file spec atoms (specifications for source and destination files) */
#define fsSourceProgram			2000
#define fsTargetProgram			2001

/* This is the name of the source disk */
#define ProgramDisk "Program Disk:"

/* This is the target path for where we want to install the file. */
#define TargetPath	":Installed Application:"

/* Definition for the package. */
#define pkTheProgram			3000

/* Definition for the file atom */
#define faProgram				4000

/************************** Rule resources for Easy Install **********************************/

/* need 1 and only 1 framework to tell the installer how to process the rule(s) */
resource 'infr' (1) {
	format0  {{
		pickAll,	{rlDoInstall},	/* Process "all" of the rules */
	}};
};

resource 'inrl' (rlDoInstall) {
	format0 {{
		addUserDescription {"Click Install button to install\n"}, /* message to appear in Easy Install screen */
		addUserDescription {" TeachText\n"},		/* message to appear in Easy Install screen */
		addPackages {{pkTheProgram}}				/* we're only installing the program */
	}};
};
/***************************** Package Resources ************************************************/
resource 'inpk' (pkTheProgram) {
	format0 {
		doesntShowOnCustom, 		/* Package doesn't appear in the Custom Install display */
		removable,					/* Package can be removed */
		dontForceRestart,			/* no need to reboot after live install */
		0, 							/* 'icmt' not used in a package that does not show on custom */
		0,							/* Package size (filled in by ScriptCheck) */
		"", {						/* package name not used in a package that does not show on custom	*/
			'infa', faProgram;
		}
	}
};

/********************************************* File Specs ***********************************************/
/* Source File Specs */
resource 'infs' (fsSourceProgram) {
	'APPL',								/* File Type */
	'ttxt',								/* Creator */
	kScriptCheckSetsDate,				/* require timestamp check of source file before install  */
	noSearchForFile,					/* Do not search the source disk for the file */
	typeCrMustMatch,					/* file type and creator on this file must match */
	ProgramDisk"TeachText"				/* Path to the file */
};

/* Target File Specs */
resource 'infs' (fsTargetProgram) {
	'APPL',								/* File Type */
	'ttxt',								/* Creator */
	kNoDateStampCheck,					/* must be zero for target file spec */
	noSearchForFile,					/* Do not search the target disk for the file */
	typeCrNeedNotMatch,					/* file to be replaced even if F&C don't match  */
	TargetPath"TeachText"				/* installation Path */
};

/******************************************** File Atoms ************************************************/
resource 'infa' (faProgram) {
	format0 {
		StdRemLeaveNewerCopy,			/* see InstallerCommon.r */
		fsTargetProgram,				/* TARGET file spec */
		fsSourceProgram, 				/* SOURCE file spec */
		0,								/* atom size (filled in by ScriptCheck) */
		""								/* Atom Description (for a file Installer will use file name) */
	};
};



